<?
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {
if($udata[48]!=="Пусто"){
echo"На Вас одето:<br/>";
$u=explode('*',$udata[48]);
echo"<img src=\"pik4erspic/kolco/$u[0].gif\" height=32 width=32 alt=\"pic\"/><br/>";
echo"Кольцо: <u>$udata[48]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/kolco.gif\" alt=\"pic\"/><br/>Кольцо: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="ring1"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет колец."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$u=explode('*',$udata[48]);
$dat_screen[]="<a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a></b><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo '<a href="itemring2.php?start='.($start - 10).'&'.$sd.'">Назад</a>';}
if ($total > $start + 10) {echo '<a href="itemring2.php?start='.($start + 10).'&'.$sd.'">Далее</a>';}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once"inclydings/down.php";
?>
